Retrieve specific settings associated with a domain, such as DNS settings or other domain-specific preferences you have configured.
domain string required
· Example: example.com Accept Example Content-Type Example data object required data.domain string required
· Example: example.com data.preferences object required data.preferences.webhotel_warning_accepted boolean
· Example: true requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/domain-preferences curl -X GET "https://cloud.hostup.se/api/domain-preferences?domain=example.com" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"preferences": {},
"domain": "example.com"
}
}